__author__ = 'Dilum Bandara'
__version__ = '0.2'
__date__ = '1/24/2011'
__copyright__ = 'Copyright(c) 2011, Dilum Bandara'
__license__ = 'GPL'

import sys
sys.path.append('../../BaseClasses')
from BaseNode import BaseNode

class Node(BaseNode):
    """
    Node class. Contains node ID, key,its attribute set, & list of resources
    indexed at node
    """
    def __init__(self, id, keys, num_rings):
        super(Node, self).__init__(id, keys, num_rings)
